import { RiDeleteBinLine } from "react-icons/ri";
import { MdEdit, MdOutlineSave } from "react-icons/md";
import { useState } from "react";
import {GiTreeRoots} from "react-icons/gi"
const Rule = ({ rule, deleteRule, changeRule ,masterRoot,changeRoot}) => {
  const [edit, setEdit] = useState(false);
  const [leftSymbol, setLeftSymbol] = useState("");
  const [rightSide, setRightSide] = useState("");
  const handlesaveRule = (e) => {
    e.preventDefault();
    changeRule(rule.id, { leftSymbol: leftSymbol, rightSide: rightSide });
    setEdit(false);
  };

  return (
    <>
      <p className={rule.root ? "root" : ""}>
      {((masterRoot  && rule.root)|| !masterRoot) && <GiTreeRoots onClick={()=>changeRoot(rule.id,rule)}/>}
        {" "}
        {rule.leftSymbol + " = " + rule.rightSide}
        {"   "}
        <MdEdit onClick={() => setEdit(!edit)} />
        {"  "}
        <RiDeleteBinLine onClick={() => deleteRule(rule.id)} />
      </p>
      {edit && (
        <form onSubmit={handlesaveRule}>
          <input
            onChange={(e) => {
              setLeftSymbol(e.target.value);
            }}
            className="transparent"
            type="text"
            placeholder="Set left symbol"
          />
          =
          <input
            onChange={(e) => {
              setRightSide(e.target.value);
            }}
            className="transparent"
            type="text"
            placeholder="Set right side"
          />{" "}
          <MdOutlineSave onClick={handlesaveRule} />
        </form>
      )}
    </>
  );
};

export default Rule;
